Summary:        Plasma applet that allow to see the weather	
Name:		plasma-applet-yawp
Version: 	0.2.3
Release: 	%mkrel 1
Source0: 	http://www.kde-look.org/CONTENT/content-files/yawp-%{version}.tar.bz2
Patch0:     yawp-fix-cmake.patch
# SVN patches
#Patch100:	yawp-0.2.1-icon_size.patch
License: 	GPLv2+
Group: 		Graphical desktop/KDE
URL:		http://www.kde-look.org/content/show.php?content=94106
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	plasma-devel
Requires:       kdebase4-runtime

%description 
Yet Another Weather Plasmoid
Plasma applet that allow to see the weather. 

%files
%defattr(-,root,root)
%_kde_libdir/kde4/plasma_yawp.so
%_kde_appsdir/desktoptheme/default/widgets/yawp_theme13.svg
%_kde_datadir/kde4/services/plasma_yawp.desktop
%_kde_datadir/locale/*/LC_MESSAGES/*.mo

#--------------------------------------------------------------------

%prep
%setup -q -n yawp-%{version}  
#%patch0 -p1
#%patch100 -p0 -b .icon_size

%build
%cmake_kde4
%make

%install
rm -rf %{buildroot}
%{makeinstall_std} -C build
%clean
rm -rf %{buildroot}


%changelog
* Thu May 07 2009 Nicolas Lécureuil <neoclust@mandriva.org> 0.2.3-1mdv2009.1
+ Revision: 372993
- Update to 0.2.3

* Wed Apr 01 2009 Andrey Borzenkov <arvidjaar@mandriva.org> 0.2.2-1mdv2009.1
+ Revision: 363117
- new version 0.2.2
  * remove upstream patch100

* Mon Mar 30 2009 Andrey Borzenkov <arvidjaar@mandriva.org> 0.2.1-3mdv2009.1
+ Revision: 362450
- patch100: patch from SVN (r133) to fix icon size under KDE4.2.2 and above

* Mon Mar 30 2009 Nicolas Lécureuil <neoclust@mandriva.org> 0.2.1-2mdv2009.1
+ Revision: 362232
- Rebuild against new KDE 4.2.2

* Sat Mar 21 2009 Nicolas Lécureuil <neoclust@mandriva.org> 0.2.1-1mdv2009.1
+ Revision: 360064
- Update to 0.2.1

* Tue Feb 03 2009 Nicolas Lécureuil <neoclust@mandriva.org> 0.1.65-1mdv2009.1
+ Revision: 337033
- Update to 0.1.65 version

* Sun Feb 01 2009 Andrey Borzenkov <arvidjaar@mandriva.org> 0.0.6-3mdv2009.1
+ Revision: 335921
- rebuild with KDE 4.2

* Sat Jan 10 2009 Nicolas Lécureuil <neoclust@mandriva.org> 0.0.6-2mdv2009.1
+ Revision: 328100
- Fix compilation against kde 4.2

  + Funda Wang <fundawang@mandriva.org>
    - update url

* Wed Dec 17 2008 Funda Wang <fundawang@mandriva.org> 0.0.6-1mdv2009.1
+ Revision: 315041
- only plasma is required
- import plasma-applet-yawp


* Tue Dec 16 2008 John Balcaen <john.balcaen@littleboboy.net> 0.0.6-1mdv2009.0
- import yawp
- use plasma-applet-weather spec from neoclust@mandriva.org.



